#include <MPU9250_asukiaaa.h> //library makes it easy to read the accelerometer values
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

RF24 radio(9, 8);  // CE, CSN
const byte address[6] = "00001"; //Note the receiver and transmitter should have the same address.



MPU9250_asukiaaa IMU;
float aX, aY, aZ, aSqrt;



struct Data_Package {
  //boolean space = false;
  int deviceno = 0;   //Make sure the device no is different for each transmitter.
  float ax = 0;
  float ay = 0;
  float az = 0;
  float asqrt = 0;
};

Data_Package data;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600); //To print accelerometer data to serial monitor
  //while(!Serial);
  if (!radio.begin()) {
   Serial.println(F("radio hardware is not responding!!"));
   while (1) {} // hold in infinite loop
  }
  radio.openWritingPipe(address);  //set the address
  radio.setPALevel(RF24_PA_MIN);
  radio.stopListening();  //Set module as transmitter
  delay(1000);
  Wire.begin();  //Start I2C communication
  IMU.setWire(&Wire);  
  IMU.beginAccel();  
}

void loop() {
  // put your main code here, to run repeatedly:

  if (IMU.accelUpdate() == 0){   
    aX = IMU.accelX();        //Reading the accelerometer values.
    aY = IMU.accelY();
    aZ = IMU.accelZ();
    aSqrt = IMU.accelSqrt();
    data.deviceno = 2;
    data.ax = aX;
    data.ay = aY;
    data.az = aZ;
    data.asqrt = aSqrt;
    Serial.println("accelX: " + String(aX));
    Serial.println("accelY: " + String(aY));
    Serial.println("accelZ: " + String(aZ));
    Serial.println("accelSqrt: " + String(aSqrt));
  } else {
    Serial.println("Cannod read accel values ");
  }
  radio.write(&data, sizeof(Data_Package));  //Send the data to the receiver.
  delay(10);
}
